pkg-create-dbgsym (0.72) xenial; urgency=medium

  * Remove all the code to deal with DH_COMPAT=1, as debhelper now fails
    for any DH_COMPAT less than 4 (and will soon do so for less than 5).

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Mar 2016 15:20:52 -0600

pkg-create-dbgsym (0.71) xenial; urgency=medium

  * Fix race in dpkg-gencontrol by writing to one file list per package.
  * Drop deprecated '-is' and '-ip' options from dpkg-gencontrol calls.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Mar 2016 15:06:33 -0600

pkg-create-dbgsym (0.70) xenial; urgency=medium

  * Add test case for a package using dh.
  * Add test case for a package using dh and disabling a binary package
    with -N.
  * Fix dhtest.pydbg test case to actually put a binary into python-dhtest.
    Otherwise the -dbgsym package is skipped merely because it's empty, not
    because it's a python-* one. This uncovers the bug that unwanted
    python*-dbgsym packages are being produced.
  * Don't create -dbgsym packages for python* packages; they have their own
    -dbg packages usually.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Oct 2015 10:50:23 +0200

pkg-create-dbgsym (0.69) wily; urgency=medium

  * dh_gencontrol: Don't use a nonexisting binary package version for the
    .changes file either.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 15:00:16 +0200

pkg-create-dbgsym (0.68) wily; urgency=medium

  * dh_gencontrol: If the binary package's DEBIAN/control does not exist, skip
    the binary package version adjustment instead of setting an empty
    Version:. This fixes the FTBFS of cpl-plugin-* which have
    "override_dh_gencontrol-indep:" without calling dh_gencontrol with "-i".
    (LP: #1457038)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 13:39:22 +0200

pkg-create-dbgsym (0.67) vivid; urgency=medium

  * testsuite: Add dhtest.customdbgsym for a package that produces its own
    -dbgsym package, like our "linux" source package. Reproduces LP #1450464.
  * pkg_create_dbgsym: When called with -B (i. e. from dh_strip), create a
    marker for dh_gencontrol, so that the latter does not try to process
    custom -dbgsym binaries. (LP: #1450464)
  * dh_strip: Don't try to process *-dbgsym binaries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Apr 2015 16:12:05 +0200

pkg-create-dbgsym (0.66) vivid; urgency=medium

  * testsuite: Enable dhtest.versionoverride, and verify that ddeb has exact
    same version as the corresponding deb. Reproduces LP #1448247.
  * testsuite: Add "manualtest" which builds a package without debhelper or
    any other abstractions, and calls pkg_create_dbgsym directly.
  * pkg_create_dbgsym: Add -B option for only building the ddeb package dir in
    debian/ but not building the .ddeb package yet. This keeps the default
    behaviour for packages which call this manually, but allows us to modify
    the ddeb package directory later during the package build process.
  * Handle binary packages with different version than the source:
    - Add our own dh_gencontrol wrapper which adjusts the ddeb's versions
      after the original dh_gencontrol determined the final binary version of
      the original debs, and then builds the .ddebs.
    - dh_strip: Call pkg_create_dbgsym with -B, so that we move the actual
      .ddeb generation into dh_gencontrol.
    - preinst, postrm: Divert dh_gencontrol.
    - LP: #1448247
  * debian/control: Drop obsolete (pre-lucid) Build-Conflicts.
  * Bump Standards-Version to 3.9.6 (no changes required).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Apr 2015 16:05:41 +0200

pkg-create-dbgsym (0.65) utopic; urgency=medium

  * Check each element of Architecture separately using dpkg-architecture,
    rather than inaccurately checking the whole field for "any" or
    "linux-any".

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Jul 2014 22:10:31 +0100

pkg-create-dbgsym (0.64) trusty; urgency=medium

  * Read the substvars file when we generate DEBIAN/control.
  * Add a test for the description field.
  * Use `set -e' in maintainer scripts.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 07 Mar 2014 16:12:12 +0000

pkg-create-dbgsym (0.63) trusty; urgency=medium

  * Add some debug messages, thanks to Simon McVittie!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Feb 2014 11:41:16 +0100

pkg-create-dbgsym (0.62) saucy; urgency=low

  * If an ELF file has multiple build IDs, only consider the first one.
    (LP: #1189342)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Sep 2013 10:37:05 +0200

pkg-create-dbgsym (0.61) saucy; urgency=low

  * Add tests/dhtest.dbg.empty with a transitional -dbg package that is empty,
    mimicking unity-2d-dbg and reproducing LP #1196995.
  * pkg_create_dbgsym: Heuristically ignore -dbg packages which have
    "transitional" in them, to get proper -dbgsym packages for those sources.
    (LP: #1196995)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Jul 2013 11:13:20 +0200

pkg-create-dbgsym (0.60) saucy; urgency=low

  * Add dhtest.pydbg test case which builds a python module and corresponding
    python-dhtest-dbg. (Reproduces LP #1192111)
  * pkg_create_dbgsym: Ignore python* packages when searching for existing
    -dbg packages, as these are something completely different. We still want
    to build -dbgsym packages for the non-python bits.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Jun 2013 09:25:48 +0200

pkg-create-dbgsym (0.59) saucy; urgency=low

  * Guard pkg_create_dbgsym debian/compat check, to avoid unsightly
    build log spew on packages that still don't have a compat file.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 22:06:20 -0600

pkg-create-dbgsym (0.58) saucy; urgency=low

  * pkg_create_dbgsym: Remove leftover special-casing of python*-dbg packages;
    we now want these be empty as well. (LP: #1186617)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Jun 2013 14:17:08 +0200

pkg-create-dbgsym (0.57) saucy; urgency=low

  * For sources that build one (or more) -dbg packages, create empty dbgsyms
    which depend on those, instead of duplicating the symbols and conflicting
    with -dbg. This should provide quite a lot of space saving. (LP: #1003234)
  * tests/run: Show name of current test, for easier visual separation of the
    output.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 May 2013 15:40:48 +0200

pkg-create-dbgsym (0.56) raring; urgency=low

  * Drop the -z9 from the dpkg-deb call, defaulting to -z6.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Dec 2012 05:54:05 -0700

pkg-create-dbgsym (0.55) raring; urgency=low

  * Use -Zxz -z9 compression options.
  * Bump standards version to 3.9.3 (no changes).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Dec 2012 12:15:40 +0000

pkg-create-dbgsym (0.54) quantal; urgency=low

  * pkg_create_dbgsym: Do not conflict with python3-*-dbg packages, to match
    existing handling of python-*-dbg.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 11:28:54 +0100

pkg-create-dbgsym (0.53) quantal; urgency=low

  * tests/: Add Enhances: field to dhtest test case, and ensure that ddebs do
    not have an Enhances: field. Reproduces LP #1049324.
  * pkg_create_dbgsym: Filter out Enhances: (LP: #1049324)
  * pkg_create_dbgsym: Call readelf with C locale to avoid output parsing
    errors due to translations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2012 09:56:16 +0200

pkg-create-dbgsym (0.52) quantal; urgency=low

  * pkg_create_dbgsym: Fix invocation of substr() to also work with mawk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2012 17:25:32 +0200

pkg-create-dbgsym (0.51) quantal; urgency=low

  * tests/run: Do not explicitly set the symbols-file path, but let gdb find
    it by itself using the debuglink or buildid.
  * Add tests/dhtest.dbg.buildid to check a dh compat 9 build using buildids
    for debug symbols. Reproduces LP #1040645.
  * pkg_create_dbgsym: When building with dh compat level >= 9 and the ELF has
    a buildid, use that for the debug symbols. (LP: #1040645)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2012 15:30:05 +0200

pkg-create-dbgsym (0.50) precise; urgency=low

  * debian/control: Drop Vcs-Bzr:, we are using the standard
    ubuntu:pkg-create-dbgsym branch now.
  * debian/control: Bump Standards-Version to 3.9.2, no changes necessary.
  * tests: Verify that package and corresponding ddeb have an identical
    Multi-Arch field.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Nov 2011 14:58:13 +0100

pkg-create-dbgsym (0.49) oneiric; urgency=low

  * tests/cdbstest: Rename binary packages to cdbstest++*. This reproduces the
    failure of not building packages with '+' in the name for source packages
    which call dh_strip with -p.
  * dh_strip, in_list(): Use grep instead of egrep, to also work for packages
    with '+' in the name. (LP: #784029)
  * tests/run: Latest debhelper leaves behind debian/debhelper.log after
    cleaning in compat level 1. Remove this manually to avoid an unexpected
    before/after build diff.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 May 2011 08:46:38 +0200

pkg-create-dbgsym (0.48) natty; urgency=low

  * dh_strip: Check host arch, not build arch for determining which binary
    packages to look at. Fixes cross building, thanks to Marcin Juszkiewicz
    for pointing this out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Mar 2011 15:36:20 +0200

pkg-create-dbgsym (0.47) natty; urgency=low

  * Add test for linux-any architecture.
  * Check for linux-any architecture when finding binary packages. LP: #725274.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sun, 27 Feb 2011 13:04:23 +0100

pkg-create-dbgsym (0.46) natty; urgency=low

  * tests/dhtest.whitespace: Add a comment line in the middle of the Depends:
    field. This reproduces the failure in LP #669430.
  * tests/run: Check that ddebs have a correct Section: field. This catches
    above bug.
  * pkg_create_dbgsym: Filter out comment lines from debian/control before
    processing. (LP: #669430)
  * Use 3.0 (native) source format.
  * debian/control: Bump Standards-Version to 3.9.1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Dec 2010 15:20:49 +0100

pkg-create-dbgsym (0.45) maverick; urgency=low

  [ Loïc Minier ]
  * dh_strip: replace grep + shell + sed with just sed.

  [ Steve Langasek ]
  * pkg-create-dbgsym: when cross-building as identified by
    dpkg-architecture, use the cross binutils instead of the native ones to
    ensure the tools understand how to act on the binaries.  LP: #626468.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Sep 2010 05:57:03 +0000

pkg-create-dbgsym (0.44) maverick; urgency=low

  * dh_strip: debian/control fields aren't required to have a space after
    the field name; fix the parsing code to still be able to detect
    package/architecture fields correctly in this case.  Thanks to
    Wookey <wookey@linaro.org> for the initial patch.  LP: #627122.
  * tests/dhtest.whitespace: extend test case with more interesting
    whitespace usage for Package/Architecture fields, to match.   

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Sep 2010 16:01:02 +0000

pkg-create-dbgsym (0.43) lucid-proposed; urgency=low

  * pkg_create_dbgsym: Do not check debian/files for whether we already
    processed a .ddeb, since Launchpad Soyuz disables dpkg-distaddfile for
    ddebs still. Instead, skip the run if we do not find any unstripped binary
    in the current package. (LP: #562418)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Apr 2010 14:00:38 +0200

pkg-create-dbgsym (0.42) lucid; urgency=low

  * Add tests/dhtest.doublestrip/: Call dh_strip twice, to check whether this
    keeps the debug symbols intact. This reproduces LP #562418, where debug
    symbols and CRC checksums were damaged due to double-stripping.
  * pkg_create_dbgsym: Do nothing if we already have built a .ddeb during this
    package build, i. e. it is in debian/files already. This fixes
    overwriting good .ddebs and debug links in case dh_strip gets called
    twice. Thanks to Tormod Volden for investigating this! (LP: #562418)
  * debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Apr 2010 10:36:38 +0200

pkg-create-dbgsym (0.41) lucid; urgency=low

  * tests/dhtest.dbg2: Add a new package dhtest2-extra which we exclude from
    dh_strip with -N. This causes dhtest2-dbgsym to not be generated and thus
    reproduces LP #566602.
  * dh_strip: Fix the "is this package in this list" grep to only match on
    whitespace separation, not on e. g. dashes (which grep -w does). This
    caused some ddebs like "libglib2.0-0-dbgsym" not to be built if dh_strip
    was called with ignoring a similar package name (-Nlibglib2.0-0-refdbg).
    To make this more robust, define a new shell function in_list() for this
    and just implement it once. (LP: #566602)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Apr 2010 11:01:37 +0200

pkg-create-dbgsym (0.40) lucid; urgency=low

  * Strip -O from options passed from dh not only for comparison but also for
    processing them. (LP: #520767)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 08 Apr 2010 10:35:01 +0200

pkg-create-dbgsym (0.39) lucid; urgency=low

  * Strip -O from options passed from dh (LP: #520767).

 -- Michael Bienia <geser@ubuntu.com>  Mon, 15 Feb 2010 12:22:05 +0100

pkg-create-dbgsym (0.38) lucid; urgency=low

  * tests/run: set the new var PKG_IGNORE_CURRENTLY_BUILDING=1 instead of
    NO_PKG_MANGLE=1 since pkg-create-dbgsym also disables itself when setting
    NO_PKG_MANGLE=1 and this breaks the testsuite; build-conflict with
    pkgbinarymangler << 66~.  Also, unset NO_PKG_MANGLE as it's set by buildds
    and will cause the same issue.
  * dh_strip: if PKG_IGNORE_CURRENTLY_BUILDING is set to 1 don't read
    /CurrentlyBuilding to decided whether or not to build -dbgsym packages but
    build them unconditionally.
  * Build-depend on gdb for the testsuite and on cdbs for the cdbstest
    package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 16 Jan 2010 18:34:20 +0100

pkg-create-dbgsym (0.37) lucid; urgency=low

  * tests/run: set NO_PKG_MANGLE=1 in the env when calling dpkg-buildpackage
    to build test packages as to avoid pkgbinarymangler's pkgsanitychecks to
    fail the build when it notices another package than the /CurrentlyBuilding
    one is being built.  Ideally, we'd also hook into dpkg-buildpackage or
    some other place to detect what is being built.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 15 Jan 2010 01:44:56 +0100

pkg-create-dbgsym (0.36) lucid; urgency=low

  * Drop XB-Python-Version from the headers we copy over from debian/control
    for -dbgsym packages: it's usually set to ${python:Versions} -- but the
    -dbgsym package has no such substvar -- and the -dbgsym isn't a python-
    lib anyway.
  * Add ${misc:Depends}.
  * Bump debhelper build-dep to >= 7 for dh_prep.
  * Rewrite rules using "dh" since we need debhelper 7 anyway.
  * Also test for presence of tests/testsuite.tmp to fail clean:.
  * Adapt dh_strip to test whether it's looping trying to run itself and also
    to try running /usr/bin/dh_strip in the case where pkg-create-dbgsym is
    not installed in the build environment (but debhelper is); this allows
    running the testsuite during build, so do that.
  * Bump debhelper build-dep to >= 7.0.50~ for overrides.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 14 Jan 2010 18:09:17 +0100

pkg-create-dbgsym (0.35) lucid; urgency=low

  * Add -k as an alias option name for --keep-debug. Thanks to Michael Bienia!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Nov 2009 22:15:43 +0100

pkg-create-dbgsym (0.34) lucid; urgency=low

  * Also skip over XB-Python-Version header when generating the new control
    file; this avoids the "unknown substitution variable ${python:Versions}"
    warning when generating the -dbgsym packages; thanks Michael Bienia.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 28 Nov 2009 18:10:52 +0100

pkg-create-dbgsym (0.33) lucid; urgency=low

  * Invert the logic which dh_strip used to pass the "don't add ddebs to
    .changes" down to pkg_create_dbgsym. This prevents packages which don't
    use debhelper, but call pkg_create_dbgsym directly from suddenly adding
    ddebs to .changes (which makes Soyuz unhappy).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Nov 2009 19:21:54 -0600

pkg-create-dbgsym (0.32) lucid; urgency=low

  [ Loïc Minier ]
  * Fix Vcs-Bzr, it's /ubuntu, not /trunk

  [ Martin Pitt ]
  * Add Source: field to ddebs whose original name had the same name as the
    source. Soyuz does not like those. Thanks to William Grant for the patch!
    (LP: #429782)
  * Add ddebs to .changes file now, since Soyuz will support that soon. Check
    /CurrentlyBuilding for the Build-Debug-Symbols flag, and fall back to the
    old logic if it does not exist. Thanks to William Grant! (LP: #429796, 
    #429793)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 06:36:58 -0600

pkg-create-dbgsym (0.31) karmic; urgency=low

  [ Loïc Minier ]
  * Add lintian override for lack of dh_strip manpage (dh_strip is diverted);
    bump debhelper build-dep to >= 6.0.7~ for dh_lintian.
  * Move debhelper to build-deps instead of build-deps-indep for clean:.
  * Bump debhelper compat level to 5.
  * Bump up Standards-Version to 3.8.3; no change needed.
  * Use dh_prep instead of dh_clean -k; update debhelper build-dep to
    >= 6.0.13~.
  * Pass -i to dh_* in binary-indep.
  * Use dh_install to install the binaries, dh_fixperms will set them +x.

  [ Martin Pitt ]
  * dhtest.archspecific: Add a package with "Architecture: kfreebsd-i386
    kfreebsd-amd64". This reproduces the current glib2.0 FTBFS on i386/amd64.
  * dh_clean: Fix grepping of Architecture field to only match space separated
    words, instead of using -w; the latter matches e. g. kfreebsd-i386 on
    i386.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Sep 2009 20:09:36 +0200

pkg-create-dbgsym (0.30) karmic; urgency=low

  * Add Vcs-Bzr in control.
  * Set NO_PKG_MANGLE when building the -dbgsym .debs as running
    pkgstriptranslations etc. when -dbgsyms are created results in nasty side
    effects; use dpkg-deb --build instead of dpkg --build for clarity.
  * Add README mentionning how to run the tests before upload.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 15 Sep 2009 12:54:24 +0200

pkg-create-dbgsym (0.29) karmic; urgency=low

  * Add tests/dhtest.whitespace: Test odd whitespace in debian/control:
    - Using tabs instead of spaces for multi-line dependency fields. This
      replicates the mplayer issue (LP #384597).
    - Putting Description: in the middle and ending the package record with a
      dependency field. This replicates the new dictd FTBFS.
  * tests/run: Ensure that all other dependency fields get stripped.
  * pkg_create_dbgsym: Unbreak fix from 0.28: Only look ahead for space and
    tab, not for all whitespace; \s also catches \n. This caused the dictd
    FTBFS.
  * Bump Standards-Version to 3.8.1 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Jun 2009 11:13:07 +0200

pkg-create-dbgsym (0.28) karmic; urgency=low

  * Fix multi-line depends parsing if one field evaluates to be empty. Thanks
    to Michael Biena! (LP: #384597)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Jun 2009 07:57:42 +0200

pkg-create-dbgsym (0.27) karmic; urgency=low

  * Make dh_strip actually abort correctly if debhelper isn't installed.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 May 2009 16:27:55 -0600

pkg-create-dbgsym (0.26) intrepid; urgency=low

  * dh_strip: Recognize "export DH_COMPAT := x" syntax, too. Thanks, Michael
    Biena!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jun 2008 12:41:58 +0200

pkg-create-dbgsym (0.25) hardy; urgency=low

  * tests/dhtest.nostrip: Add another test case for dh_strip blacklisting with
    a space between -X and the argument. This reproduces the followup problem
    in LP #180364.
  * dh_strip: Fix option parsing to get along with spaces between -X and the
    argument. (LP: #180364)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Feb 2008 16:05:28 +0100

pkg-create-dbgsym (0.24) hardy; urgency=low

  * Add tests/dhtest.nostrip: Ignore crash2 for dh_strip, and add an assertion
    that the file isn't touched by dh_strip. This reproduces LP #180364.
  * Parse dh_strip's -X options in the wrapper and pass them to
    pkg_create_dbgsym. Do not touch any files which match these patterns. This
    avoids adding GNU debuglinks to ELF binaries which must not be touched at
    all, like Ocaml bytecode. (LP: #180364)
  * tests/run: Do not expect a dbgsym package for test .debs with 'nostrip' in
    the name (as used by the tests/dhtest.nostrip test case).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Feb 2008 17:55:07 +0100

pkg-create-dbgsym (0.23) hardy; urgency=low

  * Also disable pkg-create-dbgsym if Archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2007 16:01:24 -0700

pkg-create-dbgsym (0.22) hardy; urgency=low

  * Disable symbol extraction if *-autotest is found in Suite in the
    buildd's /CurrentlyBuilding file; requires a modified sbuild.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Dec 2007 15:18:37 -0700

pkg-create-dbgsym (0.21) hardy; urgency=low

  * Add tests/dhtest.compat1override/: Declare debian/compat '4', but override
    it in debian/rules with DH_COMPAT=1. Reproduces the FTBFS of dvi2tty,
    flexml, and gtk-engines-mono.
  * dh_strip: Fix debhelper compatibility level detection so that DH_COMPAT
    overrides debian/compat. (LP: #173631)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 04 Dec 2007 11:58:19 +0100

pkg-create-dbgsym (0.20) feisty; urgency=low

  * Move test suite into tests/ to unclutter source root directory.
  * Add tests/dhtest.versionoverride: Test case for overriding the version of
    a particular binary. This replicates LP #92747. However, since this is
    unfixable without major changes (dh_strip is called before dh_gencontrol
    usually), we do not run the test case for now.
  * pkg_create_dbgsym: Do not generate conflicts to python dbg packages.
    (LP: #88695)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  3 Apr 2007 10:58:17 +0200

pkg-create-dbgsym (0.19) feisty; urgency=low

  * dh_strip: Explicitly unset $pkg before parsing debian/control.
    Packages with a debian/rules that happen to set this variable FTBFS
    otherwise (like sim).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  2 Feb 2007 13:07:34 +0100

pkg-create-dbgsym (0.18) feisty; urgency=low

  * testsuite: Check that all ddebs conflict to all built -dbg packages.
  * pkg_create_dbgsym: Determine set of -dbg packages and add Conflicts: to
    them. Closes: LP#68268

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Dec 2006 11:15:33 +0100

pkg-create-dbgsym (0.17) feisty; urgency=low

  * Revert Debian #386246 workaround of 0.16 again, we should now fix the
    actually broken packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Dec 2006 08:35:25 +0100

pkg-create-dbgsym (0.16) edgy; urgency=low

  * pkg_create_dbgsym: If package build directory does not exist, only whine
    and exit successfully instead of failing. This makes us bug-compatible to
    Debian #386246, right before Edgy release it is impractical to fix all
    broken packages for that. This will be reverted early in Edgy+1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Oct 2006 14:01:58 +0200

pkg-create-dbgsym (0.15) edgy; urgency=low

  * Fix (harmless) find error message on arch-specific packages without any
    ELF files at all.
  * Add dhtest.dbg3: Call dh_strip with --dbg-package dhtest (without the '='
    in between, as prescribed by the manpage). This reproduces the current
    libtasn-1-3 FTBFS.
  * dh_strip: Relax --dbg-package parameter parsing a bit to accept
    '--dbg-package pkgname' syntax.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Oct 2006 11:55:35 +0200

pkg-create-dbgsym (0.14) edgy; urgency=low

  * Use more elaborate test crash programs with a three-function deep stack,
    so that gdb's current 'Could not find the frame base' failure in the
    topmost function does not completely break the test suite.
  * Add dhtest.dbg2 test case: Use dh_strip --keep-debug and manually move
    around the debug symbols to dhtest1-dbg. This replicates the current FTBFS
    of opal.
  * dh_strip: Handle --keep-debug option gracefully to err on the safe side.
    Fixes current opal FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Sep 2006 20:51:28 +0200

pkg-create-dbgsym (0.13) edgy; urgency=low

  * *test/crash2.c: Test for isinf() and explicitly raise a SIGFPE, to get
    a crash on powerpc, too.
  * dhtest.archspecific: Add powerpc package so that the package builds at all
    on powerpc.
  * cdbstest/debian/rules: Explicitly set CFLAGS to -O0 to avoid optimizing
    out function arguments and thus failing the test suite.
  * dhtest.noargs/debian/control: Add Pre-Depends field and multiline
    dependency field to reproduce current dpkg FTBFS.
  * pkg_create_dbgsym: 
    - Properly handle continuation lines in Dependency fields.
    - Also filter out Pre-Depends:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Aug 2006 17:19:46 +0200

pkg-create-dbgsym (0.12) edgy; urgency=low

  * Add dhtest.tmpdirarg/: Test suite check for a source package which uses
    the -P/--tmpdir= debhelper option. This recreates the current cdrtools
    FTBFS.
  * dh_strip: Respect -P/--tmpdir arguments.
  * pkg_create_dbgsym: Do not assume that the temporary package build
    directory is directly below debian/.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Aug 2006 12:47:13 +0200

pkg-create-dbgsym (0.11) edgy; urgency=low

  * dhtest/debian/control: Add Suggests: to ${bar}-core to recreate current
    FTBFS of caudium.
  * pkg-create-dbgsym: Filter out dependency fields before passing them to
    dpkg-gencontrol. Doing it afterwards is too late since dpkg-gencontrol
    does not have variable substitutions at that point, which can mess up the
    dependencies to become unparseable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Aug 2006 09:40:57 +0200

pkg-create-dbgsym (0.10) edgy; urgency=low

  * Add dhtest.archspecific/: Test suite check for a source package with
    architecture specific binaries.
  * dh_strip: Evaluate DEB_BUILD_ARCH and ignore architecture specific
    packages which are not built on the current platform.
  * testsuite: If we encounter a -dbg package, check that it produces a good
    backtrace with the corresponding deb, in order to verify that the -dbgsym
    package did not break the debug link.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Aug 2006 18:51:35 +0200

pkg-create-dbgsym (0.9) edgy; urgency=low

  * Ignore *.o files, too. Through some mysterious chain of events, adding GNU
    debuglinks to libc6-dev's /usr/lib/*crt*.o files causes unwanted
    debuglinks in gcc-produced binaries. This breaks dh_strip for all source
    packages which build a -dbg binary. Closes: LP#55880

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Aug 2006 19:37:05 +0200

pkg-create-dbgsym (0.8) edgy; urgency=low

  * Remove the Essential: flag for -dbgsym package control records and fix
    Priority: to extra.
  * dhtest.noargs/Makefile: Add GNU debuglink to generated crash file; it's
    not entirely unreasonable for upstream or package build systems to do this
    without using dh_strip --dbg-package.
  * pkg_create_dbgsym: Remove GNU debuglink before adding our own, to not
    break if the binary already has its own. Remove the 'more than one
    hardlink' special case again, since it is now obsolete.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Aug 2006 16:07:32 +0200

pkg-create-dbgsym (0.7) edgy; urgency=low

  * dh_strip: Call the real dh_strip if NO_PKG_MANGLE is given.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  7 Aug 2006 10:34:55 +0200

pkg-create-dbgsym (0.6) edgy; urgency=low

  * dhtest/debian/control: Add Replaces: and Breaks: fields with substitution
    variable as well.
  * Filter out Replaces: from original package's control record.
  * debian/copyright: Update FSF address.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  1 Aug 2006 11:03:03 +0200

pkg-create-dbgsym (0.5) edgy; urgency=low

  * dhtest: Add Depends/Recommends/Suggests/Conflicts with a substitution
    variable, to recreate the current openoffice.org FTBFS.
  * Filter out Recommends:, Suggests:, Conflicts:, Provides:, and Breaks: from
    original package's control record, since they are not necessary and just
    potentially break the build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Jul 2006 22:01:34 +0200

pkg-create-dbgsym (0.4) edgy; urgency=low

  * Do not add .ddebs to the .changes file until Soyuz is able to process
    them. With that, we can already install this package into the buildd
    chroots to fix remaining FTBFSes induced by this package, and it even
    opens up the possibility to put the resulting .ddebs to some inofficial
    place.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 Jul 2006 11:22:06 +0200

pkg-create-dbgsym (0.3) edgy; urgency=low

  * debian/copyright: Fix copy & paste leftovers.
  * Add dhtest.compatenvvar/: Test suite check for debhelper packages using
    $DH_COMPAT instead of debian/compat.
  * Respect DH_COMPAT setting in debian/rules (fixes build of unifdef).
  * dhtest.compatenvvar/: Install a hardlink to an existing binary to check
    whether this is handled correctly (since objcopy --add-gnu-debuglink is
    not idempotent).
  * Ignore objcopy --add-gnu-debuglink failures if target file's hard link
    count is not 1 (fixes build of sudo).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jul 2006 15:30:18 +0200

pkg-create-dbgsym (0.2) edgy; urgency=low

  * Add debug output if objcopy --only-keep-debug or --add-gnu-debuglink
    fails.
  * Do not generate debug symbols for *.a (static libraries), since they
    sometimes break objcopy and are not generally useful.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  6 Jul 2006 13:47:20 +0200

pkg-create-dbgsym (0.1) edgy; urgency=low

  * Initial release:
    - pkg_create_dbgsym: build a debug symbol ddeb for a given package in a
      built source tree
    - dh_strip: Divert and wrap debhelper's dh_strip which automatically calls
      pkg_create_dbgsym for all packages dh_strip is asked to act on.
    - Implements distro side of https://wiki.ubuntu.com/AptElfDebugSymbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Jun 2006 12:46:24 +0200
